<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.428
Name: Tumor marking
Description: Template: Tumor marking
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000">
   <title>Tumor marking</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]
Item: (Tumormarking)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]"
         id="d20e15213-false-d169053e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@classCode) = ('OBS')">(Tumormarking): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@moodCode) = ('EVN')">(Tumormarking): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']) &gt;= 1">(Tumormarking): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']) &lt;= 1">(Tumormarking): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')]) &gt;= 1">(Tumormarking): element hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')]) &lt;= 1">(Tumormarking): element hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:value) &gt;= 1">(Tumormarking): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:value) &lt;= 1">(Tumormarking): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']"
         id="d20e15221-false-d169097e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.428')">(Tumormarking): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.428' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')]
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:code[(@code = 'C145150' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.200')]"
         id="d20e15226-false-d169112e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="@nullFlavor or (@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Tumormarking): de elementwaarde MOET een zijn van 'code 'C145150' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:value
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.428']]/hl7:value"
         id="d20e15232-false-d169128e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181219T111640/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
